[Templates]
$Button_CX                                  = 75
$Button_CY                                  = 23
$Button_Medium_CX                           = 103
$Button_Large_CX                            = 150
$Tab                                        = t(tab) sz(p,p) xy(,,,$DialogPanelSizeY)
$Button                                     = t(button) sz($Button_CX,$Button_CY)
$Button_Medium                              = t(button) sz($Button_Medium_CX,$Button_CY)
$Button_Large                               = t(button) sz($Button_Large_CX,$Button_CY)
$ToolButton                                 = at(chklike,rememberdata) bg("ToolButton,1,0,0,1,0,0") sz(21,21)
$ListButton                                 = $Button alias(listbutton)
$Check                                      = t(check) sz(a,a) a(la)
$CheckForGroup                              = t(check) sz(a,a) a(lt) at(noparentdisable) xy(0,-21)
$Radio                                      = t(radio) sz(a,a) a(la)
$Combo                                      = t(combo) sz(p,a) a(la)
$IpAddr                                     = t(ipaddress)
$Link                                       = t(hotlink) sz(a,a) f("Hotlink_Normal")
$LinkKL                                     = t(hotlink) sz(a,a) f("DescriptionBlue")
$ListTransp                                 = t(list) sz(p,p)
$List                                       = $ListTransp bg("ColorWindow")
$GroupBox                                   = t(group) f("GroupHeader") b1(GroupBox)
$GroupBoxLink                               = t(group) f("GroupHeaderLink") b(GroupBox)
$SettingsGroup                              = t(box) f("SetGroupHeader") b(Topline_grey) a(la) sz(p,a) mg(8,8,0,0) xy(0,$Group_Shift)
$Control_Shift                              = 7
$Button_Shift                               = 6
$Group_Shift                                = 7
$Edit_CenterOffsetY                         = -3
$Edit_CommentOffsetX                        = 4
$TimeEditCX                                 = 80
$Static_Shift                               = xy(0,0,0,3)
$Static_ShiftAfter                          = xy(0,3,0,0)
$ButtonsLineSizeX                           = 81
$ButtonsLineSizeY                           = 31
$DialogPanelSizeY                           = 38
$WizardFooterSizeY                          = 48
$ButtonsLineMediumSizeX                     = 109
$RadioCommentShift                          = 18
$RadioCommentShiftXY                        = xy($RadioCommentShift,4)
$DlgAttrBase                                = t(dialog) mg(7,7) at(dragable) bg((isOsGuiThemed && !isTabbed) ? "ColorWindow" : "ColorWindowClassic")
$DlgAttr                                    = $DlgAttrBase at(a_ok,a_cancel)
$Dlg                                        = $DlgAttr
$DlgBodyAttr                                = at(lt) sz(p,p) xy(,,,$DialogPanelSizeY)
$Wizard                                     = t(dialog) mg(7,7) at(dragable,wizard) at(a_next,a_back,a_cancel)
$WizardPage                                 = sz(p,p) xy(,,,$DialogPanelSizeY)
$GroupBody                                  = a(la) bg("GroupBody") sz(p,a) rs(100,0) xy(,7)
$ValPrm                                     = extprm(1) t(v) at(hidden)
------------Customized URLS---------------
$ForumURL                                   = bindok("SupportCustom.aLinks.Forum.URL") && SupportCustom.aLinks.Forum.URL!="" ? SupportCustom.aLinks.Forum.URL : $ForumDefURL
$ForumName                                  = bindok("SupportCustom.aLinks.Forum.TipText") && SupportCustom.aLinks.Forum.TipText!="" ? SupportCustom.aLinks.Forum.TipText: $ForumDefName
$ForumDescr                                 = bindok("SupportCustom.aLinks.Forum.Description") && SupportCustom.aLinks.Forum.Description!="" ? SupportCustom.aLinks.Forum.Description: $ForumDefDescr
$OnlineCoursesURL                           = bindok("SupportCustom.aLinks.OnlineCourses.URL") && SupportCustom.aLinks.OnlineCourses.URL!="" ? SupportCustom.aLinks.OnlineCourses.URL : $OnlineCoursesDefURL
$OnlineCoursesName                          = bindok("SupportCustom.aLinks.OnlineCourses.TipText") && SupportCustom.aLinks.OnlineCourses.TipText!="" ?  SupportCustom.aLinks.OnlineCourses.TipText : $OnlineCoursesDefName
$OnlineCoursesDescr                         = bindok("SupportCustom.aLinks.OnlineCourses.Description")&& SupportCustom.aLinks.OnlineCourses.Description!="" ? SupportCustom.aLinks.OnlineCourses.Description : $OnlineCoursesDefDescr
$PersonalCabinetName                        = bindok("SupportCustom.aLinks.PersonalCabinet.TipText") && SupportCustom.aLinks.PersonalCabinet.TipText!="" ?  SupportCustom.aLinks.PersonalCabinet.TipText : $PersonalCabinetDefName
$PersonalCabinetDescr                       = bindok("SupportCustom.aLinks.PersonalCabinet.Description") && SupportCustom.aLinks.PersonalCabinet.Description!="" ?  SupportCustom.aLinks.PersonalCabinet.Description : $PersonalCabinetDefDescr
$SupportReqName                             = bindok("SupportCustom.aLinks.SupportReq.TipText") && SupportCustom.aLinks.SupportReq.TipText!="" ?  SupportCustom.aLinks.SupportReq.TipText : $SupportReqDefName
$SupportReqDescr                            = bindok("SupportCustom.aLinks.SupportReq.Description") && SupportCustom.aLinks.SupportReq.Description!="" ?  SupportCustom.aLinks.SupportReq.Description : $SupportReqDefDescr
$SupportURL                                 = bindok("SupportCustom.aLinks.Support.URL") && SupportCustom.aLinks.Support.URL!="" ? SupportCustom.aLinks.Support.URL : $SupportDefURL
$SupportName                                = bindok("SupportCustom.aLinks.Support.TipText") && SupportCustom.aLinks.Support.TipText!="" ? SupportCustom.aLinks.Support.TipText: $SupportDefName
$SupportDescr                               = bindok("SupportCustom.aLinks.Support.Description") && SupportCustom.aLinks.Support.Description!="" ? SupportCustom.aLinks.Support.Description: $SupportDefDescr

;-- MainWindow --
$TaskTab                                    = a(lt) bg("task") sz(545,444) rs(0,0) mg(35,13,20,13)
$TaskWorkArea                               = a(lt) sz(p,p)
$TaskPanel                                  = a(lt) sz(p,p)
$TaskView                                   = $TaskPanel alias(taskview)
$TaskSubGroup                               = alias(taskview) sz(p,a) rs(0,0) a(la) xy(,,,7) ext(1)
$TaskValShift                               = xy(,5)
$TaskVal                                    = [TaskVal] a(la) $TaskValShift
$TaskTabFooterBg                            = sz(p,a) a(lb) bg("MainWindowPanelFooterBg") xy(-35,-13,-20)

;--- DlgWizard ------
$DlgWizardInnerAttr                         = sz(p,p) 
$WizardGroupNext                            = t(box) f("Normal_Grey") b(Topline_light) a(la) sz(p,a) mg(8,8,0,0) xy(0,$Group_Shift)
$Duplicate                                  = msg("Duplicate", #m_error|#m_res_cancel)

;--- Charts ------
$ChartStat                                  = t(chartstat) mg(10,10) refresh(1000)
$ChartStatAxisY                             = t(chartaxisval) b(AxisLine) sz(32,a) xy(2) ticks(a) ticktype(1) drawpos(0) min(0) max(a) f("AxisLineText")
$ChartStatAxisX                             = t(chartaxiscat) b(AxisLine) sz(a,4)  ticks(2) drawpos(1)
$ChartStatData                              = t(chartseries) alias(blstat) mg(5) prm(#dbStatistics)
$DynamicChartAxisY                          = t(chartaxisval) b(AxisLine_Green) sz(24,a) xy(-1) ticks(4) ticktype(1) drawpos(0) min(0) max(a) f("AxisLineText")
$DynamicChartAxisX                          = t(chartaxiscat) b(AxisLine_Green) sz(a,1)  ticks(2) drawpos(1)
$TableStyleCaption1                         = f("Normal_Bold") at(fixstyle) a(lt) xy(,10) mg(5,0)
$TableStyleHeader                           = f("Normal") at(fixstyle) a(ls) xy(,16) sz(p,23) mg(5,4)
$TableStyleColumn1                          = f("Normal") at(fixstyle) a(rs) xy(12,) sz(,23)
$TableStyleRow                              = f("Normal") at(fixstyle) a(la) xy(,1) sz(p,23) mg(5,4)
$ProfileHome_Report                         = window("MainReport:" + s_Profile2ProfileGroup_Reports(name), p_postInit(if(!persistent, "ctl.Report.selgroup(" + id + ")")))
$KavDescr                                   = a(lb) xy(,10) i("info") ia(lt) sz(p,a) use($IsKAV)

$ChartPie                                   = t(chartpie) bg("ColorWindow")
$PieData                                    = t(piesector) alias(blstat) prm(#dbStatistics)

$StdAreaSeparator                           = sz(p,1) a(la) b(Group) rs(100,0)
$StdFooterSeparator                         = $StdAreaSeparator b(BlackSeparator)

$FooterLinkSep                              = bg("FooterLinkSep") sz(a,a)
;$FooterLinkSep                              = [LabelShadow2] f("MainFtr") text("|")

$IsAdvancedDisinfectionStoped = !s_IsStateRunning(AdvDis.state)

;------------- Dialog Panels ------------

[DialogPanel]
@                   = a(lb) sz(p,$DialogPanelSizeY) ext(1) rs(100,0)
BtnsGroup           = [DialogPanel_BtnsGroup]
Bckgnd              = sz(700,a) bg("DlgFooter") a(rt) extprm(1)
ResizeBackground    = sz(p,p) rs(100,0) bg("DlgFooter_rs") a(pt) extprm(1)
Sep                 = $StdFooterSeparator a(lt) extprm(1)
WndResizer          = a(rb) sz(a,8) bg("WndResizer") xy(1,1)
Help                = [LabelShadow2] at(btnlike)  a(lc) xy(9,) f("MainFtr") onclick(help()) text($Help) extprm(1) use($IsHelpExists) enable($IsAdvancedDisinfectionStoped)
S1                  = $FooterLinkSep              a(ac) xy($Button_Shift,,$Button_Shift) visible(ctl.Link1.visible)
Link1               = [LabelShadow2] at(btnlike)  a(ac) f("MainFtr") use(0) extprm(1)
S2                  = $FooterLinkSep              a(ac) xy($Button_Shift,,$Button_Shift) visible(ctl.Link2.visible)
Link2               = [LabelShadow2] at(btnlike)  a(ac) f("MainFtr") use(0) extprm(1)
S3                  = $FooterLinkSep              a(ac) xy($Button_Shift,,$Button_Shift) visible(ctl.Link3.visible)
Link3               = [LabelShadow2] at(btnlike)  a(ac) f("MainFtr") use(0) extprm(1)

[DialogPanel_BtnsGroup]
@           = sz(a,$Button_CY) rs(0,0) a(rb) xy(7,7) extprm(1)
Confirm     = [BtnGlass] a(lt) xy($Button_Shift)
WizardGroup = [DialogPanel_BtnsGroup_WizardGroup]
No          = [BtnGlass] a(at) xy($Button_Shift) extprm(1)
Cancel      = [BtnGlass] a(at) xy($Button_Shift) onclick(close()) extprm(1)
Apply       = [BtnGlass] a(at) xy($Button_Shift)

[DialogPanel_BtnsGroup_WizardGroup]
@       = sz(a,p) a(at) rs(0,0)
Back    = [BtnGlass] xy($Button_Shift) extprm(1)
Next    = [BtnGlass] a(at) extprm(1)

;------------- Button Glass ------------

[BtnGlass]
@    = t(bmpbutton) at(noowncontent) sz($Button_CX,$Button_CY) ta(cc) f(ctl.enabled ? "BtnGlass" : "BtnGlassGray")
L    = bg("BtnGlassLeft,0,3,2,1,4,2") sz(6,p) a(lt) extprm(1)
R    = bg("BtnGlassRight,0,3,2,1,4,2") sz(6,p) a(rt) extprm(1)
M    = bg("BtnGlassMiddle,0,3,2,1,4,2") sz(p,p) xy(6,,6) extprm(1)
Cont = [BtnGlass_Cont] mg(7) sz(a,a) a(cc) extprm(1)

[BtnGlass_Cont]
Icon = a(lc) extprm(1)
Text = [LabelShadow2] a(ac) at(underlineoff) text(ctl.parent.parent.text) f(ctl.parent.parent.font) subst(B(at(underlineoff)) F(at(underlineoff)) ) extprm(1)

[BtnGlassMedium]
@ = ext(1) [BtnGlass] sz($Button_Medium_CX,$Button_CY)

[Btn]
@    = t(bmpbutton) at(noowncontent) sz($Button_CX,$Button_CY) ta(cc) f(ctl.enabled ? "BtnGlass" : "BtnGlassGray")
L    = bg("BtnLeft,0,3,2,1,4,2") sz(6,p) a(lt) extprm(1)
R    = bg("BtnRight,0,3,2,1,4,2") sz(6,p) a(rt) extprm(1)
M    = bg("BtnMiddle,0,3,2,1,4,2") sz(p,p) xy(6,,6) extprm(1)
Cont = [BtnGlass_Cont] mg(7) sz(a,a) a(cc) extprm(1)

[BtnMedium]
@ = ext(1) [Btn] sz(130,$Button_CY)

[IconLink]
@    = sz(a,a) at(btnlike,noowncontent) ext(1)
Icon = a(lc) extprm(1)
Text = [LabelShadow2] a(ac) bp(ctl.text = ctl.parent.text; ctl.font = ctl.parent.font; ctl.focused = ctl.parent.focused; ctl.hotlight = ctl.parent.hotlight) extprm(1)

[IconLink2]
@    = sz(a,a) at(btnlike,noowncontent) ext(1)
Icon = a(lc) extprm(1)
Text = a(ac) bp(ctl.focused = ctl.parent.focused; ctl.hotlight = ctl.parent.hotlight) extprm(1)

[InfoLink]
@    = sz(a,a) ext(1)
Text = a(lt) extprm(1)
Icon = i("info,0,1,0,0,0,1") at(btnlike) sz(a,a) a(as) extprm(1)

[BtnSquare]
$BpStates   = bp(ctl.hotlight = ctl.parent.hotlight; ctl.selected = ctl.parent.selected; ctl.focused = ctl.parent.focused)
@           = sz(83,83) at(btnlike) ext(1)
L           = bg("BtnSquareLeft,0,0,1,0,0,1") sz(3,p) a(lt) $BpStates
R           = bg("BtnSquareRight,0,0,1,0,0,1") sz(3,p) a(rt) $BpStates
M           = bg("BtnSquareMiddle,0,0,1,0,0,1") sz(p,p) xy(3,,3) $BpStates
Icon        = a(ct) xy(,8) $BpStates extprm(1)
Body        = [BtnSquare_Body] a(ca)

[BtnSquare_Body]
@       = a(ca) sz(p,p) mg(7,4)
Name    = a(cc) f(ctl.enabled ? "BtnSquare" : "BtnSquareGray") extprm(1)

[BtnSquarePlay]
@ = [BtnSquare] subst(Icon(i("Play,0,0,1,0,0,1") xy(-2,8)))

[BtnSquareStop]
@ = [BtnSquare] subst(Icon(i("Stop,0,0,1,0,0,1") xy(0,8)))

;------------- Browse Dialogs ------------

[BrowseForObject]
@       = $DlgAttr at(resizable) sz(300,310) ext(1) h(5207) btns(Ok(enable(isValidObj())))
Body    = [BrowseForObject_Body]

[BrowseForObject_Body]
@           = sz(p,p) xy(,,,$DialogPanelSizeY)
ShellTree   = t(tree) alias(shelltree) a(la) sz(p,200) xy(0,$Group_Shift) extprm(1)
PathLabel   = sz(a,20) a(la) xy(0,$Group_Shift) extprm(1)
EditGrp     = [BrowseForObject_Body_EditGrp]
Recursive   = $Check a(la) xy(0,$Group_Shift) v(Recursive) extprm(1)

[BrowseForObject_Body_EditGrp]
@           = a(as) xy(3,-1) sz(p,a) rs(100,0)
Add         = t(button) a(rt) sz(a,21) xy(,,5) text($Add) extprm(1) enable(isValidObj())
PathEdit    = t(edit) at(autocomplete) a(pt) sz(p) extprm(1)

[BrowseForFolder]
@ = [BrowseForObject] at(resizable,nohelp) subst(PathLabel() Add(use(0)) Recursive(use(0))) ext(1)

[BrowseForFile]
@           = $DlgAttr at(resizable) sz(300,310) ext(1) h(5049) btns(Ok(enable(isValidObj())))
ShellTree   = t(tree) alias(shelltree) sz(p,220) xy(0,$Group_Shift)
PathLabel   = sz(a,20) a(la) xy(0,$Group_Shift)
PathEdit    = t(edit) a(as) sz(p) xy(5) at(autocomplete)

[BrowseForScanObject]
@           = $DlgAttr at(resizable) sz(300,310) ext(1) h($IsKAT ? 15752 : 4814) btns(Ok(enable(isValidObj())))
ShellTree   = t(tree) alias(shelltree) a(la) sz(p,200) xy(0,$Group_Shift)
PathLabel   = sz(a,20) a(la) xy(0,$Group_Shift)
EditGrp     = [BrowseForScanObject_Edit]
Recursive   = $Check a(la) xy(0,$Group_Shift) v(Recursive)

[BrowseForScanObject_Edit]
@           = a(as) xy(3,-1) sz(p,a) rs(100,0)
Add         = t(button) a(rt) sz(a,21) xy(,,5) text($Add) enable(isValidObj())
PathEdit    = t(edit) at(autocomplete) a(pt) sz(p)

[BrowseForUpdateSource]
@           = $DlgAttr at(resizable) sz(300,310) ext(1) h(15890) btns(Ok(enable(isValidObj())))
ShellTree   = t(tree) alias(shelltree) a(la) sz(p,230) xy(0,$Group_Shift)
PathLabel   = sz(a,20) a(la) xy(0,$Group_Shift)
PathEdit    = t(edit) a(as) sz(p,20) xy(3,-2) rs(100,0) at(autocomplete)

[BrowseForRegistry]
@           = $DlgAttr at(resizable) sz(350,330) ext(1) h(5047) btns(Ok(enable(isValidObj())))
ShellTree   = t(tree) alias(regtree) a(la) sz(p,220) xy(0,$Group_Shift)
PathLabel   = sz(80,20) a(la) xy(0,$Group_Shift)
PathEdit    = t(edit) a(as) sz(p,20) xy(3,-2) rs(100,0) v(KeyPath)
ValueLabel  = sz(80,20) a(la) xy(0,$Group_Shift)
ValueEdit   = t(edit) a(as) sz(p,20) xy(3,-2) rs(100,0) v(KeyValue)

[BrowseForAppMenu]
@       = t(menu) bg("MenuIconBg")
Browse  = text($Browse)
sep
AppList = bg("MenuIconBg")

;------------- Message Dialog ------------

[MessageDialog]
@       = $DlgAttrBase sz(a,a) mg(0,0) at(nohelp,customfooter) text(msg.Caption) bg($IsInitMode ? "ColorWindowClassic" : ((isOsGuiThemed && !isTabbed) ? "ColorWindow" : "ColorWindowClassic")))
Body    = [MessageDialog_Body]
Footer  = [DialogPanel] use(!$IsInitMode)
Footer  = [DialogPanelClassic] subst(Separator(use(0)) Copyright(use(0)) Copyright2(use(0)) ) use($IsInitMode)

[MessageDialog_Body]
@       = sz(a,a) mg(14,14) xy(,,,$DialogPanelSizeY)
Icon    = sz(32,32) xy(,,17) i(s_MsgBoxIcon(msg.Icon))
Text    = t(richedit) at(readonly,noborder,nofocus) a(ac) sz(a,a,,,500) order(4) text(msg.Text)

;------------- Grid Groups --------

[Grid.Group.Bold]
@       = f("GridGroup") sz(p,30) rs(100,0)
border  = a(lb) sz(p,2) bg("GridGroup")

[Grid.Group.Template]
@       = f(isExpanded ? "GridGroup" : "Normal") sz(p,30) rs(100,0)
border  = a(lb) sz(p,2) bg("GridGroup")

[Grid.Group.Normal]
@ = sz(p,0) rs(100,0)

[Grid.Footer.Template]
@       = f("GridGroup") sz(p,22) rs(100,0) ext(1)
Add     = t(hotlink) sz(a,a) a(lt) xy(5,4) i("listctrls,0") f("Hotlink_Normal") extprm(1)
border  = a(lt) sz(p,2) bg("GridGroup")

[Grid.Footer2.Template]
@           = f("GridGroup") sz(p,22) rs(100,0) ext(1)
Add         = t(hotlink) sz(a,a) a(lc) xy(5) i("listctrls,0") f("Hotlink_Normal") extprm(1) enable(depend(canAdd()))
Edit        = t(hotlink) sz(a,a) a(ac) xy(7) i("listctrls,1") f("Hotlink_Normal") extprm(1) enable(depend(canEdit()))
Delete      = t(hotlink) sz(a,a) a(ac) xy(7) i("listctrls,2") f("Hotlink_Normal") extprm(1) enable(depend(canDelete()))
MoveUp      = t(hotlink) sz(a,a) a(ac) xy(7) i("listctrls,3") f("Hotlink_Normal") extprm(1) enable(depend(canMoveUp())) use(0)
MoveDown    = t(hotlink) sz(a,a) a(ac) xy(7) i("listctrls,4") f("Hotlink_Normal") extprm(1) enable(depend(canMoveDown())) use(0)
Import      = t(hotlink) sz(a,a) a(ac) xy(7) i("listctrls,4") f("Hotlink_Normal") extprm(1) use(0)
Export      = t(hotlink) sz(a,a) a(ac) xy(7) i("listctrls,3") f("Hotlink_Normal") extprm(1) use(0)
Other       = a(ac) xy(7) extprm(1) use(0)
border      = a(lt) sz(p,2) bg("GridGroup")

[Grid.Editor.Template]
@           = f("GridGroup") sz(p,30) rs(100,0) ext(1)
Delete      = at(clickable) sz(a,a) a(rc) i("listctrls,2") extprm(1)
Edit        = at(clickable) sz(a,a) a(pc) i("listctrls,1") extprm(1)
MoveDown    = at(clickable) sz(a,a) a(pc) i("listctrls,4") use(0) extprm(1)
MoveUp      = at(clickable) sz(a,a) a(pc) i("listctrls,3") use(0) extprm(1)

[Grid.Groups]
footer              = [Grid.Footer.Template]
rowedit             = [Grid.Editor.Template]
date                = [Grid.Group.Bold]
dateonly            = [Grid.Group.Bold] expand(1) sort(-val,sortdown)
task                = [Grid.Group.Template] text(s_TaskID(val) + $items)
taskname            = [Grid.Group.Template] text(format_struct(profile(val), "ProfileReport")) expand(profile(val).state & #StateFlagOperational)
runtask             = [Grid.Group.Template] text(format_struct(profile(val), "ProfileReport")+ $items) expand(profile(val).state & #StateFlagOperational)
scantask            = [Grid.Group.Template] text(format_struct(profile(val), "ProfileReport") + f_scanEventsGroup(profile(val))) expand(profile(val).state & #StateFlagOperational)
dettype             = [Grid.Group.Template] expand(1)
PIDGroup            = [Grid.Group.Template] i(s_PIDIcon(val))
AppGroup            = [Grid.Group.Template] i(s_AppIcon(val)) text($AppGroup + $items) sort($AppGroup,sortdown)
AppItem             = [Grid.Group.Normal]   i(s_AppIcon(val)) text($AppGroup) sort($AppGroup)
CounterItem         = [Grid.Group.Normal] text(s_RepDetectType(val)) sort(s_RepDetectType(val))
CounterGroup        = [Grid.Group.Template] text(s_CounterGroup(val)) expand(1)
BasesCounterItem    = [Grid.Group.Normal]   text(s_BasesCounterType(val)) sort(s_BasesCounterType(val))
ObjectSite          = [Grid.Group.Template] text(val)
default             = [Grid.Group.Template]

[Grid.Find]
@       = $DlgAttrBase sz(370,a) h(5909)
Dlg     = [Grid.FindBody]
Find    = $Button at(default) a(rt)         sz($Button_Medium_CX,$Button_CY)
Mark    = $Button a(ra) xy(0,$Button_Shift) sz($Button_Medium_CX,$Button_CY)
Cancel  = $Button a(rb)                     sz($Button_Medium_CX,$Button_CY) onclick(close())

[Grid.FindBody]
@           = sz(p,a) xy(,,106)
FindLbl     = a(la) xy(,5,5)
FindEdit    = a(ls) sz(p) t(edit) xy(55,$Edit_CenterOffsetY) v(Mask)
ColumnLbl   = a(la) xy(,5,5)
ColumnCmb   = [Grid.ColumnCmb]
MatchCase   = $Check a(la) xy(,35) v(MatchCase)
WholeWord   = $Check a(la) xy(,6) v(WholeWord)

[Grid.Export]
@           = $DlgAttrBase sz(250,100) h(16452)
Progress    = t(progress) a(cl) xy(0,10) sz(220,22) v(Progress)

[Grid.ColumnCmb]
@   = a(ls) sz(p) t(combo) xy(55,$Edit_CenterOffsetY) v(Column) alias(columns)
All = at(default)

[Grid.Filter]
@           = $DlgAttrBase sz(a,a) v(opType) h(5910)
Label       = sz(a,a)
Cond1       = [Grid.Filter.Condition] a(la) xy(,10,20) v(cond1)
ValMask1    = t(edit) a(as) sz(245,a) v(mask1) enable(ctl.Cond1.value != "None" && ctl.Cond1.value != "Blanks" && ctl.Cond1.value != "NonBlanks") visible(colType == 1)
ValEnum1    = t(combo) dl(10) alias(enum) a(as) v(enum1) sz(a) enable(ctl.Cond1.value != "None" && ctl.Cond1.value != "Blanks" && ctl.Cond1.value != "NonBlanks") visible(colType == 2)
ValDate1    = t(timeedit) at(date) a(as) v(date1) sz(245,a) enable(ctl.Cond1.value != "None" && ctl.Cond1.value != "Blanks" && ctl.Cond1.value != "NonBlanks") visible(colType == 3)
And         = t(radio) sz(a,a) a(la) xy(20,10) v(1)
Or          = t(radio) sz(a,a) a(as) xy(20) v(2)
Cond2       = [Grid.Filter.Condition] a(la) xy(,10,20) v(cond2)
ValMask2    = t(edit) a(as) sz(245,a) v(mask2) enable(ctl.Cond2.value != "None" && ctl.Cond2.value != "Blanks" && ctl.Cond2.value != "NonBlanks") visible(colType == 1)
ValEnum2    = t(combo) dl(10) alias(enum) a(as) v(enum2) sz(a) enable(ctl.Cond2.value != "None" && ctl.Cond2.value != "Blanks" && ctl.Cond2.value != "NonBlanks") visible(colType == 2)
ValDate2    = t(timeedit) at(date) a(as) v(date2) sz(245,a) enable(ctl.Cond2.value != "None" && ctl.Cond2.value != "Blanks" && ctl.Cond2.value != "NonBlanks") visible(colType == 3)
Space       = a(la) xy(,,,$DialogPanelSizeY)

[Grid.Filter.Condition]
@                   = t(combo) sz(100) ext(1)
None                = at(default)
Equals              = use(colType!=3)
DoNotEqual          = use(colType!=3)
GreaterThan         = use(colType==3)
GreaterThanOrEqual  = use(0)
LessThan            = use(colType==3)
LessThanOeEqual     = use(0)
Blanks              = use(colType!=3 && colType!=2)
NonBlanks           = use(colType!=3 && colType!=2)
Like                = use(0)
NotLike             = use(0)

[Grid.HdrPopup]
@           = t(menu) bg("MenuIconBg")
SortDown    = i("GridMenu,1")
SortUp      = i("GridMenu,0")
Separator
Find        = i("GridMenu,4")
Group       = i("GridMenu,2")
Filter      = i("GridMenu,3")
Separator

[Grid.FltPopup]
@           = t(menu) bg("MenuIconBg")
Custom
All
Separator

;------------- Templates ------------

[ValuePointed]
@       = sz(p,a) ext(1)
Name    = sz(a,a) a(lt) extprm(1)
ValArea = [ValuePointed_ValArea]

[ValuePointed_ValArea]
@       = sz(p,a) a(at) xy($Control_Shift)
Val     = sz(a,a) a(rt) extprm(1)
Dots    = a(pb) bg("Points") sz(p,1) xy(,2) extprm(1)

[Value]
@       = sz(p,a) ext(1)
Name    = sz(a,a) extprm(1) a(lt)
Val     = sz(a,a) a(rt) extprm(1)

[LValue]
@ = ext(1) [Value] a(la) subst(Name(a(lc)) Val(a(lt) xy(100) sz(p,a)))

[Value2]
@       = sz(p,a) ext(1)
Val     = sz(a,a) xy() a(rt) extprm(1)
NameArea = [Value2_NameArea] a(pt) sz(p,a) xy(7)

[Value2_NameArea]
Name    = sz(a,a) extprm(1) a(lt)

[MainWindow_ProfileDoWork]
@ = [WizardButton] alias(taskview) a(la) sz(250,a) bg(if(ctl.Caption.enabled, ctl.selected ? "HilightBtn_sel" : (ctl.hotlight ? "HilightBtn" : ""))) subst(Icon(i(s_MainWindow_ProfileDoWork_Icon(name)) enable(ctl.Caption.enabled)) Name([MainWindow_DoWork_Body] xy(2,-3)) Descr(use(0)) )  onclick(if(ctl.Caption.enabled, f_setState(f_IsStateActive(state) ? #TASK_REQUEST_STOP : #TASK_REQUEST_RUN, name))) ext(1)

;@ = [WizardButton] alias(taskview) a(la) sz(250,a) bg(if(ctl.Caption.enabled, ctl.selected ? "HilightBtn_sel" : (ctl.hotlight ? "HilightBtn" : ""))) subst(Icon(i(s_MainWindow_ProfileDoWork_Icon(name)) enable(ctl.Caption.enabled)) Name([MainWindow_DoWork_Body] xy(2,-3)) Descr(use(0)) )  onclick(if(ctl.Caption.enabled, f_setState(f_IsStateActive(state) ? #TASK_REQUEST_STOP : #TASK_REQUEST_RUN, name));                   if (name != "Scan_Qscan",   setstate(#TASK_REQUEST_STOP, "Scan_Qscan")); if (name != "Scan_Rootkits",   setstate(#TASK_REQUEST_STOP, "Scan_Rootkits")); if (name != "Scan_Startup",    setstate(#TASK_REQUEST_STOP, "Scan_Startup"));     if (name != "Scan_My_Computer", setstate(#TASK_REQUEST_STOP, "Scan_My_Computer")); if (name != "Scan_Quarantine",  setstate(#TASK_REQUEST_STOP, "Scan_Quarantine")); if (name != "Scan_Vulnerabilities", setstate(#TASK_REQUEST_STOP, "Scan_Vulnerabilities")); if (name != "Scan_Objects",     setstate(#TASK_REQUEST_STOP, "Scan_Objects")) ) ext(1)

[MainWindow_DoWork_Body]
@        = sz(p,a) ext(1)
Caption  = at(singleline) xy(-1) f("Header6Lite2") text(s_MainWindow_ProfileDoWork_Caption(name)) extprm(1)
Body     = a(la) sz(0,0) extprm(1)

[ProfileHome]
@           = ext(1) sz(p,p)
Header      = [ProfileHome_Header] extprm(1)
TasksPos    = sz(0,0) a(ra)
Tasks       = extprm(1) sz(100,206) a(ps) mg(7,7) xy(,,7) bg("ProfileBodyGroup")
Group1      = extprm(1) sz(p,206) a(ps) mg(17,10) bg("ProfileBodyGroup")
Group2      = extprm(1) sz(p,p) a(la) mg(17,10) xy(,7) bg("ProfileBodyGroup")

[ProfileHome_Header]
@           = a(lt) sz(p,91) ext(1)
Icon        = sz(80,a) xy(8) a(lc) i(s_ProfileIcon(type)) extprm(1)
Caption     = a(at) xy(7,7) text(switch(name, "ProfileName") + if(!persistent && f_IsStateActive(state), " (" + Completion + "%)")) f("TaskName") extprm(1)
Description = a(sa) xy(,5) text(s_ProfileDescription(type)) extprm(1)

[ProfileHome_Progress]
@           = a(la) ext(1) sz(p,a)
MinVSize    = sz(a,a)
LastStart   = [Value] a(lt) sz(p,a) rs(0) visible(!f_IsStateActive(state)) extprm(1) subst(Name() Val([ProfileHome_Progress_LastStart]))
Completion  = [Value] a(lt) sz(p,a) rs(0) visible(f_IsStateActive(state)) subst(Name() Val([ProfileHome_Progress_Compl])) extprm(1)

[ProfileHome_Progress_LastStart]
@       = ext(1) xy(,,120)
Never   = a(lt) text(capitalize(s_ProfileState(#StateNotStarted, false))) visible(state == #StateNotStarted)
Last    = $LinkKL a(lt) text(lastErr ? s_ProfileError(type, lastErr) : capitalize(s_ProfileState(state, false))) visible(state != #StateNotStarted) onclick($ProfileHome_Report) extprm(1)

[ProfileHome_Progress_Compl]
@           = sz(p,a) a(rt) ext(1)
Details     = $LinkKL a(rt) onclick($ProfileHome_Report) extprm(1)
Progress    = t(progress) a(pt) xy(7,2,80) sz(p,12) v(Completion) extprm(1)

[ProfileHome_Chart]
@           = sz(p,p) ext(1)
Zoom        = [ProfileHome_Chart_Zoom]
Legend      = a(lb) xy(,4) sz(p,a) extprm(1)
Chart       = sz(p,p) a(lp) mg(0,3,0,5) extprm(1)
Name        = extprm(1) xy(40,7) f("PlotAreaFont")
;PeriodDesc  = extprm(1) a(rt) xy(14,7) f("PlotAreaFont") text($ChartPeriod+ctl.Chart.Period()/60 + " " + s_minutes(f_numdeclension(ctl.Chart.Period()/60)) )


[ProfileHome_Chart_Zoom]
@               = a(rb) sz(a,11) extprm(1)
button_minus    = t(bmpbutton) sz(11,11) a(lt) bg("grafplusminus,1,1,1,1,1,1") onclick(ctl.Chart.zoom("-", "60,180,300,600"))
sep             = bg("grafsep") a(at) xy(1,4,1)
button_plus     = t(bmpbutton) sz(11,11) a(at) bg("grafplusminus,0,0,0,0,0,0") onclick(ctl.Chart.zoom("+", "60,180,300,600"))

[ProfileHome_ChartStat]
@ = ext(1) [ProfileHome_Chart] subst( Zoom(use(0)) Name(xy() a(ct) f("GridGroup")) Chart(xy(,,,14)) )

[ChartLegend]
@       = sz(a,a) a(wt) xy(,,7) ext(1)
Color   = a(lt) xy(,3) sz(8,8) extprm(1)
Text    = a(at) xy(7) extprm(1)

[TaskIcon]
@       = a(ca) sz(p,a) xy(,5)
Icon    = sz(90,92) ia(ct) at(btnlike) extprm(1)
Desc    = a(ls) xy(110) sz(p,78) at(dynshow) extprm(1) use(0)

[TaskCheck]
@       = sz(a,a) at(btnlike) onclick(menu("TaskCheckMenu")) ext(1)
Icon    = sz(a,a) xy(,1) bg(s_ProfileStateImage(state)) bp(ctl.hotlight = ctl.parent.hotlight)
Text    = a(at) xy(7) text($ProfileName) f($ProfileStateFont) extprm(1) bp(ctl.hotlight = ctl.parent.hotlight; ctl.focused = ctl.parent.focused)

[TaskCheckMenu]
@           = t(menu) ext(1)
ErrInfo     = visible($IsErr || (state & #StateFlagMalfunction)) onclick(msg("ProfileErrorInfo", f_ErrFail(lastErr) || (state & #StateFlagMalfunction) ? #m_error : #m_warning))
sep
Report      = text($Reports) onclick(window("MainReport:" + s_Profile2ProfileGroup(name)))
sep
Enable      = text(s_ProfileStateEnableText(state)) onclick(s_ProfileStateClick(state)) extprm(1)
Settings    = text($Settings) onclick(window("OptionsWindow:" + s_Profile2ProfileGroup(name)))

[TaskVal]
@ = ext(1) [ValuePointed] subst(Dots(use(0)))

[RunAsGroup]
@       = $SettingsGroup xy(0,) ext(1)
Enable  = t(check) sz(a,a) v(runas.enable)
Account = [LValue] xy(20,7) enable(runas.enable) subst(Name() Val(t(edit) v(runas.account) onok(if(runas.enable && !ctl.value, balloon("NoRunAsAccount")))))
Pswd    = [LValue] xy(20,7) enable(runas.enable) subst(Name() Val(t(edit) at(password) oninit(if(runas.password=="",runas.password=crypt(""))) v(bicrypt(runas.password))))

;------------- Tray Window ------------

[Tray]
@ = t(tray) alias(producttray) onclick(window("MainWindow" + if($IsUpdateActive, ":Updater", if($IsScanActive, ":Scan")))) ext(1)

[Tray.menu]
@                   = t(menu)
Updater             = alias(taskview) onclick(f_StartUpdater())
Scan_My_Computer    = alias(taskview) onclick(f_StartScanMyComputer())
ScanCustom          = onclick(window("MainWindow:Scan:Scan_Objects"))
RunningTask         = at(hidden) alias(taskview) onclick(f_StartScan(name)) text($ProfileName + if(f_IsStateActive(state), " (" + Completion + "%)"))
sep
NetMonitor          = onclick(window("NetworkMonitor")) use(f_isInstalled("Firewall")) enable(f_IsStateActive(Firewall.state))
VirtualKeyboard     = onclick(window("VirtualKeyboard")) use($PersonalOnly && f_isVkbdInstalled())
sep
KAV                 = at(default) onclick(window("MainWindow:Protection"))
Settings            = onclick(window("OptionsWindow")) text($SettingsS)
Activate            = onclick($IsSubscription? window("LicenseManager"):f_Activate()) visible(global.KeyState && (global.KeyState & #eKeyWaitActivation) == 0)
About               = onclick(window("ProductInfo"))
;Report_ParCtl       = onclick(window("Report_ParCtl")) text($ParCtl + " Report")
sep
DisableProtect      = onclick(s_IsStateRunning(Protection.state) ? f_setState(#TASK_REQUEST_PAUSE, "Protection") : setstate(#TASK_REQUEST_RUN, "Protection")) use(!$IsProtectionNotInstalled) enable(!s_IsStateTransitional(Protection.state) && !$IsSafeMode)
BlockNetwork        = onclick(Hips.FirewallSettings.WorkingMode = Hips.FirewallSettings.WorkingMode == #fwBlockAll ? #fwAllow : #fwBlockAll) use(f_isInstalled("Firewall") && $PersonalOnly) enable(f_IsStateActive(Firewall.state))
sep
ParCtlSwitchProfile = [ParCtlSwitchProfile_Profiles] visible(!$ParCtlProfileSingle) use(f_isInstalled("ParCtl"))
sep
RestartOS           = onclick(f_RestartOs()) use($IsNeedReboot)
Unload              = onclick(exit())

[TrayNewsMenu]
@ = t(tray) alias(newstray) text($NewsFromKL)

[TrayNewsMenu.menu]
@       = t(menu)
KAV     = onclick(window("MainWindow:Protection"))
News    = at(default) v(news) onclick(window("NewsReaderDialog"))
Hide    = onclick(hide_news_tray())

;------------- Main Window ------------

;[MainWindow]
;@   = $DlgAttrBase mg(0,0) alias(taskview) at(minimizable) sz(a,a) onclose(if(env("WithoutSysShell"), if($IsKAT ? (if(isUserClose && uninstallAVPTool(msg("UninstallAVPToolWarning", #m_yesno|#m_warning)), url($url_trials)), true) : msg("ProductExitConfirm", #m_yesno), exit(), false)))
;b   = [MainWindow_Compact]
;b   = [MainWindow_Std]

[MainWindow]
@ = [StyledCaptionWindowT] alias(taskview) at(minimizable) sz(a,a) onclose(if(env("WithoutSysShell"), if($IsKAT ? (if(isUserClose && uninstallAVPTool(msg("UninstallAVPToolWarning", #m_yesno|#m_warning)), url($url_trials)), true) : msg("ProductExitConfirm", #m_yesno), exit(), false))) subst(Footer(use(0)) Body([MainWindow_Body] xy(,,,0))) bg("main")

[MainWindow_Body]
@   = ext(1)
b   = [MainWindow_Compact]
b   = [MainWindow_Std]

[MainWindow_Std]
@           = sz(817,542) alias(productstatus) bg("back")
;BgTop       = a(lt) bg("MainWindowBgTop")
;BgLeft      = a(la) bg("MainWindowBgLeft")
;BgBottom    = a(lb) bg("MainWindowBgBottom")
;BgTop       = a(lt) bg("lgreen2")
;BgLeft      = a(la) bg("lgreen2")
;BgBottom    = a(lb) bg("lgreen2")
@           = sz(790,556)
Header      = [MainWindow_Header] subst(hdr(bg()) )
Navigator   = [MainWindow_Navigator]
Footer      = [MainWindow_Footer]
Banner      = [MainWindow_Navigator_Banner] a(rt)

[MainWindow_Header]
@               = sz(p,77) rs(100,0) ext(1)
hdr             = [ProductHeader] sz(p,p) subst(Sep(use(0)) _rs(use(0)) Logo(at(clickable) onclick(window("ProductInfo")))) extprm(1)
Settings        = [IconLink] f("MainFtr") subst(Icon(i("MainSettings")) ) a(rt) xy(9,4,$Button_Shift) onclick(window("OptionsWindow:" + s_Navigator2SettingsRedirection(ctl.Navigator.value))) text($SettingsS) extprm(1)
Reports         = [IconLink] f("MainFtr") subst(Icon(i("MainEvents")) ) a(ps) xy(10) onclick(window("MainThreats:Statistics")) extprm(1)
Quarantine      = [IconLink] f("MainFtr") subst(Icon(i("MainQuarantine")) ) xy(10) a(ps) onclick(window("MainThreats:Threats:Quarantined")) extprm(1)
AlphaWarning    = sz(a,a) xy(300,3) f("Header1White") use(!IsRelease)

[MainWindow_Navigator]
@               = alias(navigator) btns(Btns) a(la) sz(p,p) xy(,,,$DialogPanelSizeY) at(enum,loadpages)
Btns            = [MainWindow_Navigator_Btns]
_client_area    = sz(p,p) a(at)

[MainWindow_Navigator_Btns]
@               = sz(a,a) xy(10,0) order(0)
Protection      = [MainWindow_Navigator_Button] subst(Icon(i("TaskKAV"))    Text(text($Protection)) Text2()            Desc(text($ProtectionDescSmall))) onshow(ctl.focus()) use(!$IsProtectionNotInstalled)
AppCtrl         = [MainWindow_Navigator_Button] subst(Icon(i("TaskHIPS"))   Text() Text2() Body(a(ac))                 Desc()) use(f_isInstalled("HipsTask"))
Scan            = [MainWindow_Navigator_Button] subst(Icon(i("b_ods"))      Text() Text2()                             Desc())
Updater         = [MainWindow_Navigator_Button] subst(Icon(i("b_updater"))  Text(text()) Text2()                       Desc(text($UpdaterDescSmall))) enable(s_IsFunctionalityLevel_Updater(LicInfo.FuncLevel)) use(f_isInstalled("Updater"))
AddSvc          = [MainWindow_Navigator_Button] subst(Icon(i("TaskAddSvc")) Text(text($AdditionalServices)) Text2()    Desc() )
License         = [MainWindow_Navigator_Button] subst(Icon(i("TaskLicense")) Text() Text2()    Desc()  )   onclick(window("MainWindow_Body.License"))

[MainWindow_Navigator_Banner]
@          = sz(610,115) rs(0,0) alias(productstatus) prm(s_ProductStateList) bg(s_MainProtectionBannerBg(s_ProdStateSeverity(ProdStateId))) ext(1)
Text       = [LabelShadow1] xy(120,37) text(s_ProtectionBannerText(s_ProdStateSeverity(ProdStateId))) f(s_ProtectionBannerBGFont(s_ProdStateSeverity(ProdStateId))) subst(F(f("ProtBanner")) ) extprm(1)
TextDescr  = [LabelShadow1] a(sa) xy(,-2) text(s_ProdState_Threats(ProdStateId)) f(s_ProtectionBannerDscBGFont(s_ProdStateSeverity(ProdStateId))) subst(F(f("ProtBannerDsc")) ) extprm(1)
;Details    = [LabelShadow2] at(btnlike) text($Details) f("MainFtrSmallU") a(as) xy(10,1) onclick(window("MainThreats:Status"))
Fix        = [MainWindow_Banner_DetailsBtn] xy(10,41) a(rt) visible(s_ProdStateSeverity(ProdStateId) != #eProtStateNormal && s_ProductLinkText(ProdStateId)) extprm(1) onclick(s_ProductLinkClick(ProdStateId))
Light      = sz(a,a) a(lt) xy(21,10) bg(s_MainWindowProtectionLight(s_ProdStateSeverity(ProdStateId))) at(clickable) onclick(window("MainThreats:Status")) oninit(ctl.animate(10,2))
BannerArea = a(at) xy(,27,180) sz(p,46) at(clickable) onclick(window("MainThreats:Status"))

[MainWindow_Banner_DetailsBtn]
@ = ext(1) [BtnGlass] sz(a,27) f(s_ProtectionBannerBtnBGFont(s_ProdStateSeverity(ProdStateId))) subst(Text([LabelShadow1] subst(F(f("ProtBannerBtn")) )) Cont(mg(17)) Icon(use(0)) L(bg(s_ProtectionBannerDetailsBtnBg_L(s_ProdStateSeverity(ProdStateId)))) R(bg(s_ProtectionBannerDetailsBtnBg_R(s_ProdStateSeverity(ProdStateId)))) M(bg(s_ProtectionBannerDetailsBtnBg_M(s_ProdStateSeverity(ProdStateId)))) )

[MainWindow_Footer]
@               = sz(p,35) a(lb) bg1("DlgFooter") rs(100,0) mg(7)
Unload          = [BtnGlassMedium] a(rc) xy(,,$Button_Shift) onclick(close()) use(env("WithoutSysShell"))
Events          = [BtnGlassMedium] a(pc) xy(,,$Button_Shift) onclick(window("MainReport:" + s_Profile2ProfileGroup_Reports(ctl.Navigator.value))) use($IsKAT)
;Detected        = [BtnGlassMedium] a(pc) xy(,,$Button_Shift) onclick(window("MainThreats:Threats:Active")) use(!$IsKAT)
License         = [BtnGlassMedium] a(pc) oninit(l_LicenseFlashCount = 20) ontimer(100, if(l_LicenseFlashCount, (ctl.hotlight = (l_LicenseFlashCount + 1)%2; l_LicenseFlashCount = l_LicenseFlashCount - 1))) subst(Icon(i("TaskLicense16")) Text() ) xy(,,$Button_Shift) sz(a,$Button_CY) onclick(buy(global.LicRenewStatus != 2)) use(!$IsRD && !$IsKAT) visible(global.LicRenewStatus && !$IsSubscription)
LicenseSubscr   = [BtnGlassMedium] a(pc) subst(Icon(i("TaskLicense16")) Text() ) xy(,,$Button_Shift) sz(a,$Button_CY) onclick((AutoActivationError.ErrorCode == 0 && !SubscriptionTolerancePassed)? url($KeyProviderLink) : update_subscr_status() ) use(!$IsRD && !$IsKAT) visible($IsSubscription)
;Upgrade         = [BtnGlass] sz(a,$Button_CY) a(pc) xy(0) onclick(url(env("ProductUpgradeLink"))) use($IsKAV && env("ProductUpgradeLink"))
LinksPos        = a(lc) xy(2) sz(0,0)
Help            = [LabelShadow2] at(btnlike) f("MainFtr") text($Help) a(ac) onclick($IsKAT ? help() : ($IsRD ? help(10411) : help($s_MainWindowHelp))) use($IsKAT || $IsHelpExists) enable($IsAdvancedDisinfectionStoped)
S1              = $FooterLinkSep a(ac) xy($Button_Shift,,$Button_Shift) visible(ctl.Support.visible)
Cabinet         = [LabelShadow2] at(btnlike) f("MainFtr") a(ac) onclick(f_PersCab()) use(1) use(!$IsRD && !$IsKAT)
Sep             = $FooterLinkSep a(ac) xy($Button_Shift,,$Button_Shift) visible(ctl.Cabinet.visible)
Support         = [LabelShadow2] at(btnlike) f("MainFtr") a(ac) onclick(window("SupportWindow")) use(!$IsRD && !$IsKAT)


;LicDetails      = [LabelShadow2] at(btnlike) text($Details) f("MainFtrSmallU") a(as) xy(5) onclick(window("LicenseManager")) use(!$IsRD && !$IsKAT)
S2              = $FooterLinkSep a(ac) xy($Button_Shift,,$Button_Shift) visible(ctl.FullProtection.visible) use(!$IsRD)
FullProtection  = [LabelShadow2] at(btnlike) f("MainFtr") a(ac) onclick(url(env("ProductUpgradeLink"))) use($IsKAT)

[MainWindow_Footer_ResizeBackground]
@ = sz(0,p) a(rt) rs(100,0) bg("MainWindowCorp")

[MainWindow_Navigator_Button]
@       = sz(235,70) a(la) mg(7,,0) at(radiolike) ext(1) bg(ctl.selected ? "MainNavSel" : "MainNav")
Icon    = a(lc) extprm(1)
Body    = [MainWindow_Navigator_Button_Body] sz(p,a) a(ac) extprm(1)

[MainWindow_Navigator_Button_Body]
Text    = a(lt) sz(p,a) at(singleline) f("NavBtn") extprm(1)
Text2   = a(la) sz(p,a) at(singleline) visible(ctl.text) f("NavBtn") xy(,-9) extprm(1)
Desc	= a(la) sz(p,a) xy(1) f("NavSmall") extprm(1) xy(,,15)

[MainWindow_Info_Panel]
@       = t(bmpbutton) sz(p,a) a(la) ia(lt) ext(1)
Text    = a(lt) sz(p,a) xy(40) extprm(1) f("Header5Lite")
Desc	= a(sa) sz(p,a) xy(,4,,7) mg(,,4) f("Description")  extprm(1)

;------------- StyledCaptionWindowT ------------

[StyledCaptionWindowT]
@              = $DlgAttrBase mg(0,0) at(customfooter,nocaption1) round1(9,9) sz(700,300) i("Main")
Footer         = [DialogPanel] xy1(3,3,3,3) extprm(1)
;Caption        = [StyledCaptionWindowT_Caption]
;Border         = [StyledCaptionWindowT_Border] a(la) order(0)
Body   = sz(s,s) xy(,,,$DialogPanelSizeY) extprm(1)

[StyledCaptionWindowT_Caption]
@        = sz(p,a)
L        = a(lt) bg("SCW_CaptionL")
M        = a(lt) bg("SCW_CaptionM") sz(p) xy(12,,12)
R        = a(rt) bg("SCW_CaptionR")
Icon     = a(lc) xy(6,-1) i(ctl.parent.parent.icon) at(clickable)
Text     = a(ac) xy(0,-1) at(singleline) f("Header1White") text(ctl.parent.parent.text) extprm(1)
Close    = at(btnlike) bg("SCW_Caption_BtnClose,0,1,3,0,0,3") a(rt) xy(6) onclick(close())
Minimize = at(btnlike) bg("SCW_Caption_BtnMinimize,0,1,3,0,0,3") a(pt) onclick(showMode(#showMinimized))

[StyledCaptionWindowT_Border]
@      = b(SCW_Outside) sz(s,s)
Middle = [StyledCaptionWindowT_Border_Middle]

[StyledCaptionWindowT_Border_Middle]
@      = b(SCW_Middle) sz(s,s)
Inside = [StyledCaptionWindowT_Border_Middle_Inside]

[StyledCaptionWindowT_Border_Middle_Inside]
@      = b(SCW_Inside) sz(s,s)
Body   = sz(s,s) xy(,,,$DialogPanelSizeY) extprm(1)

[StyledCaptionWindowT_Caption.Icon.menu]
Minimize = onclick(showMode(#showMinimized))
sep
Close    = at(default) onclick(close())

;------------- Wizards ------------

[WizardHeader]
@       = sz(p,p)
pic     = sz(a,p) a(rt) bg("InstallerHeader") rs(,0) use($IsInitMode) ext(1)
pic     = sz(a,a) a(lt) bg("MainWindowHeader") rs(,0) use(!$IsInitMode) ext(1)
;_rs     = sz(p,p) a(rt) at(fixstyle) bg("WizardHeader_rs") xy(320) visible(!$IsInitMode)
Sep     = t(group) at(3dborder) sz(p,2) a(lb) use($IsInitMode) extprm(1)
Sep     = $StdFooterSeparator a(lb) use(!$IsInitMode) extprm(1)

[DialogPanelClassic]
@                   = a(lb) sz(p,$WizardFooterSizeY) ext(1) rs(100,0)
;NOTE: negative axis Y offset is necessary for correct separator displaying both with and without Copyright (compare look, for example, for [ConfigureWizard.InitBegin] and [ConfigureWizard.InitFinish])
;So you must keep above controls height not too large to prevent visual bugs
Copyright           = a(lt) sz(a,a) xy(4,-8) f("Normal_White") extprm(1) 
Copyright2          = a(ss) sz(a,a) xy(-1,-1,13) enable(0) extprm(1) 
Separator           = t(group) a(at) sz(p,2) mg(0,0,0,0) xy(0,,0,) at(3dborder) extprm(1) 
BtnsGroup           = [WizardDialogPanel_BtnsGroup]
Help                = at(btnlike) a(lc) xy(9,) text($Help) f("MainFtrN") onclick(help()) extprm(1) use($IsHelpExists) enable($IsAdvancedDisinfectionStoped)

[WizardDialogPanel_BtnsGroup]
@           = sz(a,$Button_CY) rs(0,0) a(rc) xy(15,0) extprm(1)
Confirm     = $Button a(lt) xy($Button_Shift)
WizardGroup = [WizardDialogPanel_BtnsGroup_WizardGroup]
No          = $Button a(at) xy($Button_Shift)
Cancel      = $Button a(at) xy($Button_Shift) onclick(close()) extprm(1)
Apply       = $Button a(at) xy($Button_Shift)

[WizardDialogPanel_BtnsGroup_WizardGroup]
@       = sz(a,p) a(at) rs(0,0)
Back    = $Button xy($Button_Shift) extprm(1)
Next    = $Button a(at) xy(1) extprm(1)

[WizardTpl]
@       = $DlgAttrBase at(wizard,customfooter,minimizable) mg(0,0,0,0) sz(500,370) bg("ColorWindowClassic")
Footer  = [DialogPanel] subst( Next(use(1)) ) use(!$IsInitMode)extprm(1)
Footer  = [DialogPanelClassic] subst( Help(use(0)) Next(use(1)) ) use($IsInitMode) extprm(1)
Pages   = sz(p,p) xy(,,,$DialogPanelSizeY) extprm(1) at(sheetpages) order(0)

[WizardPage]
@       = ext(1) sz(p,p)
Header  = [WizardPage_Header]
Body    = a(la) sz(p,p) mg(33,23,33,7) extprm(1)

[WizardPage_Header]
@       = sz(p,58) extprm(1)
hdr     = [WizardHeader] sz(p,p)
Body    = [WizardPage_Header_Body] sz(p,a) a(lc) xy(27)

[WizardPage_Header_Body]
Name    = sz(a,a) f($IsInitMode ? "Normal_Bold_Black" : "Header0White") extprm(1)
Descr   = sz(a,a) a(sa) xy(,7,) f($IsInitMode ? "Normal_Black" : "Header0WhiteLite") visible(ctl.text) extprm(1)

[WizardPage_InfoArea]
@       = a(la) sz(p,a) bg("AlertInfo") ext(1)
Top     = a(la) sz(p,0) bg("AlertInfoTop")
Info    = a(la) sz(p,a) mg(17,17) extprm(1)
Buttom  = a(la) sz(p,1) bg("AlertInfoBottom")

[WizardButton]
@       = at(btnlike) a(la) sz(p,a) mg(7,5,5,7) xy(,2) bg(ctl.selected ? "HilightBtn_sel" : (ctl.hotlight ? "HilightBtn" : "")) ext(1)
Icon    = i("listctrls,6") extprm(1)
Name    = a(at) xy(1) sz(a,a) f("Header2") extprm(1)
Descr   = a(sa) xy(1) sz(a,a) f("Description") extprm(1)

[LWizardButton]
@ = [WizardButton] subst(Name(i("listctrls,5")))

[SupportWindow]
@ = [StyledCaptionWindowT] at(minimizable,a_close) sz(a,a) alias(taskview) h(15741) subst(Footer(subst(Link1(use(1) onclick(dialog("SupportWindow.Traces"))) Link2(use(1) onclick(window("NewsReaderDialog")) visible(size(News))) )) Body([SupportWindow_Cont]) )

[SupportWindow_Cont]
@       = sz(530,422) bg("ColorWindow") ext(1)
Header  = [SupportWindow_Header]
Body    = [SupportWindow_New_Body]
;Body    = [SupportWindow_Body] 

[SupportWindow_Header]
@       = sz(p,a)
Hdr     = sz(p,66) a(lt) bg("MainWindowHeader")
Caption = a(lt) sz(p,a) xy(25,8) f("Header3White") 
Desc    = a(la) sz(p,a) xy(25,2,25) f("Header0WhiteLite")
Sep     = $StdFooterSeparator a(lb)

[SupportWindow_New_Body]
@       = sz(p,a) xy(,7) a(la)
Desc    = a(lt) sz(p,a) xy(14,13) f("Header0")
SysInfo = [SupportWindow_New_Body_SysInfo] a(la) xy(16,19,14)
OnClick = [SupportWindow_New_OneClickSprt] a(la) xy(7,28,14)
;Bottom  = [SupportWindow_New_Bottom] a(la) xy(16,57,14,10)
;CabForm           = t(html) xy(1000,0) sz(1,1)

[SupportWindow_New_Body_SysInfo]
@           = sz(p,a)
ProdVer     = [LValue] subst(Name(a(lt) f("Description")) Val(xy(230) f("Description") text($ProductVersion + if(global.ProductHotfix, " (" + global.ProductHotfix + ")"))))
Signatures  = [LValue] xy(,5) subst(Name(a(lt) f("Description")) Val(xy(230) f("Description") text(datetime(AVService.BasesDate))))
OSVer       = [LValue] xy(,5) subst(Name(a(lt) f("Description")) Val(xy(230) f("Description") text(global.OSVersion)))
NoKeys      = [LValue] xy(,5) subst(Name(a(lt) f("Description")) Val(xy(230) f("Description") ) ) visible( (global.KeyState & #eNoKeys) || !LicInfo.KeyInfo.KeyType )
ActiveLic   = [LValue] xy(,5) subst(Name(a(lt) f("Description")) Val($LinkKL xy(230) text(f_KeySerNum(LicInfo.KeyInfo.KeySerNum)+if($HasReserveKey,"\n"+f_KeySerNum(ResLicInfo.KeyInfo.KeySerNum)) ) onclick(window("LicenseKeys")) ) ) visible( !ctl.NoKeys.visible && !$IsSubscription )
SubscrLic   = [LValue] xy(,5) subst(Name(a(lt) f("Description")) Val( xy(230) f("Description") text(f_KeySerNum(LicInfo.KeyInfo.KeySerNum) ) ) ) visible( $IsSubscription )

[SupportWindow_New_OneClickSprt]
@           = sz(p,a)
Arrow       = [WizardButton] onclick(url($OneClickSupportLink)) a(lt) xy(,,,) subst(Name() Descr() )
KnowlegeBase= [WizardButton] a(la) xy(,,,) onclick(url($KnowledgeBaseLink)) subst(Name() Descr() )
Forum       = [WizardButton] a(la) xy(,,,) onclick(url($ForumURL)) subst(Name(text($ForumName)) Descr() )

[SupportWindow_New_Bottom]
@           = sz(p,a)
Separator   = t(group) a(la) sz(p,2) xy() mg(0,0,0,0) at(3dborder)
Cabinet     = [WizardButton] a(la) sz(256,a) mg() xy(,11) onclick(f_PersCab()) subst(Name( i("PersCab16") text($PersonalCabinetName)) Descr(xy(,,,5)))
KnowlegeBase= t(hotlink) a(rt) xy(,15,,) f("Hotlink_Normal9") onclick(url("http://support.kaspersky.com/desktop"))
Forum       = t(hotlink) a(ra) xy(,5,,) f("Hotlink_Normal9") onclick(url($ForumURL)) text($ForumName)

[SupportWindow_Body]
@       = sz(p,a) xy(,7,,$DialogPanelSizeY) a(la)
SysInfo = [SupportWindow_Body_SysInfo]
Links   = [SupportWindow_Body_Links]

[SupportWindow_Body_SysInfo]
@           = $SettingsGroup xy(,7)
ProdVer     = [LValue] subst(Name(a(lt)) Val(xy(200) text($ProductVersion + if(global.ProductHotfix, " (" + global.ProductHotfix + ")"))))
Signatures  = [LValue] xy(,7) subst(Name(a(lt)) Val(xy(200) text(datetime(AVService.BasesDate))))
OSVer       = [LValue] xy(,7) subst(Name(a(lt)) Val(xy(200) text(global.OSVersion)))

[SupportWindow_Body_Links]
@               = $SettingsGroup xy(,7)
Support         = [WizardButton] xy(,) onclick(url($SupportURL)) subst(Name(text($SupportName)) Descr(text($SupportDescr)))
Forum           = [WizardButton] xy(,) onclick(url($ForumURL)) subst(Name(text($ForumName)) Descr(text($ForumDescr)))
Cabinet         = [WizardButton] xy(,) onclick(f_PersCab()) subst(Name(text($PersonalCabinetName)) Descr(text($PersonalCabinetDescr))) use(0)
SupportReq      = [WizardButton] xy(,) onclick(f_PersCab(true)) subst(Name(text($SupportReqName)) Descr(text($SupportReqDescr))) use(0)
OnlineCourses   = [WizardButton] xy(,) onclick(url($OnlineCoursesURL)) subst(Name(text($OnlineCoursesName)) Descr(text($OnlineCoursesDescr)))

[SupportWindow.Traces]
@       = $DlgAttrBase sz(503,a) at(a_close) bg("ColorWindow") h(15742)
Intro   = sz(p,a) ia(lt) i("warning") xy(7,7)
Trace   = [SupportWindow.Traces_Trace]
Action  = [SupportWindow.Traces_Action]
Footer  = [SupportWindow.Traces_Footer]

[SupportWindow.Traces_Footer]
@       = sz(p,$DialogPanelSizeY) a(lb) bg("DlgFooter") rs(100,0) mg(7) xy(-7,-7,-7,0)
Help    = $Link f("MainFtr") a(lc) xy(2) onclick(help(7079)) text($Help) enable($IsAdvancedDisinfectionStoped)

[SupportWindow.Traces_Trace]
@           = $SettingsGroup xy(,7)
Label       = sz(p,a)
StateLabel  = a(la) xy(,7) sz(a,a)
State       = a(ls) xy(60,) sz(a,a)
LevelLabel  = a(la) xy(,10) sz(a,a)
Level       = [SupportWindow.Traces_Trace_Level]
OnOff       = $Button_Medium a(rs) onclick(switch_tracer())

[SupportWindow.Traces_Trace_Level]
@       = t(combo) a(ls) xy(60,-3) sz(150,0) v(tracer_level())
lvl100  = v(100) sz(a,a)
lvl200  = v(200) sz(a,a)
lvl300  = v(300) sz(a,a)
lvl400  = v(400) sz(a,a)
lvl500  = v(500) at(default) sz(a,a)
lvl600  = v(600) sz(a,a)

[SupportWindow.Traces_Action]
@           = $SettingsGroup xy(0,7,,$DialogPanelSizeY)
AvzReport   = [WizardButton] sz(a,a) xy(,) subst(Name(text()) Descr()) onclick(f_AvzDialog("AvzCollectSysInfoWizard"))
Send        = [WizardButton] xy(,) subst(Name(text()) Descr()) onclick(dialog("SendTroublesDialogEx"))
AvzScript   = [WizardButton] xy(,) subst(Name(text()) Descr()) onclick(f_AvzDialog("AvzRunScriptWizard"))
GotoFolder  = $Button_Medium a(rt) xy(,10) enable(bmask(fileattr(objdir(env("AVZSysInfo"))), 0x10)) onclick(if(!gotofile(objdir(env("AVZSysInfo"))), msg("CantOpenFolder"))) use(!$IsRD)

[Product_Notification]
@       = t(dialog) sz(330,a) xy(4,4,4,4) at(nocaption,dragable,layered,ontop,bottom,noautofocus) onchange(if(CheckSound, sound(s_ProductNotificationSound($NotifyEventSeverity)))) prm($ProductNotificationText, $ProductNotificationTipText) mg(1,1) bg("WindowOuterBorder")
Border  = bg("Window" + s_NotifyWindowColor($NotifyEventSeverity) + "Border") sz(p,p)
Body    = [Product_Notification_Body] xy(2,2,2,2)

[Product_Notification_Body]
@           = sz(s,s) bg("ColorWindow")
HdrTop      = [Product_Notification_Body_HdrTop] xy(-2,-2,-2)
DescrBody   = [Product_Notification_Body_DescrBody]
DescrBottom = [Product_Notification_Body_DescrBottom] visible($ShowNoLicReminder && (EventID != #eNotifyLicensing))

[Product_Notification_Body_HdrTop]
@       = sz(p,30) bg("BalloonBar" + s_NotifyWindowColor($NotifyEventSeverity))
Logo    = [LabelShadow1] sz(a,a) a(lc) xy(10,1) text($ProductName) f(s_ProtectionBannerSmBGFont($NotifyEventSeverity)) subst(F(f("ProtBannerSm")) )
Close   = at(btnlike) a(rt) sz(a,a) xy(3) bg("BalloonBtnClose" + s_NotifyWindowColor($NotifyEventSeverity) + ",0,1,2,0,0,3")
Options = at(btnlike) a(ps) sz(a,a) xy(0) bg("BalloonBtnCfg" + s_NotifyWindowColor($NotifyEventSeverity) + ",0,1,2,0,0,3") visible(global.settings.EnableInteraction) onclick(menu("Product_Notification_OptionsMenu"))  use(!$IsKAT)

[Product_Notification_Body_DescrBody]
@       = sz(p,a) a(la) mg(15,15,15,15)
Descr   = t(richedit) sz(p,a) at(readonly,noborder,nofocus) text(DisplayText) tt(f_RemoveTags(DisplayTipText)) a(lt)
Link    = $LinkKL onclick($ProductNotificationLink) a(la) xy(,10) text($ProductNotificationLinkText) visible(ctl.text)

[Product_Notification_Body_DescrBottom]
@       = a(la) sz(p,a) bg("AlertInfo") ext(1)
Top     = a(la) sz(p,1) bg("AlertInfoTop")
Text    = a(ca) sz(p,a) xy(,4) f("Normal_Bold_Red")
BuyLink = a(ca) sz(p,a) xy(,,,8) $LinkKL f("DescriptionBlueBold") onclick($IsTrialKeyExpired? buy(0) : $IsKeyExpired? buy(1) : $HasNoKeys? f_Activate() : buy(0) )

[Product_Notification_OptionsMenu]
@                   = t(menu)
;bg("MenuIconBg")
NotifyDisable
NotifyDisableAll
sep
NotifyConfigure     = onclick(window("OptionsWindow:Notifications")) text($Configure)

[LabelShadow]
@   = sz(a,a) ext(1)
B   = sz(a,a) xy(1,1) at(singleline) extprm(1)
F   = sz(a,a) a(ss) xy(-1,-1) text(ctl.B.text) at(singleline) extprm(1)

[LabelShadow2]
@   = sz(a,a) at(noowncontent) ext(1)
B   = sz(a,a) xy(1,1) bp(ctl.text = ctl.parent.text; ctl.font = ctl.parent.font; ctl.hotlight = ctl.parent.hotlight; ctl.focused = ctl.parent.focused) extprm(1)
F   = sz(a,a) f(ctl.parent.font + "F") bp(ctl.text = ctl.parent.text; ctl.hotlight = ctl.parent.hotlight; ctl.focused = ctl.parent.focused) extprm(1)

[LabelShadow1]
;@ = [LabelShadow2] subst(B(xy(0,0)) F(xy(1,1)) ) ext(1)
@   = sz(a,a) at(noowncontent) ext(1)
B   = sz(a,a) bp(ctl.text = ctl.parent.text; ctl.font = ctl.parent.font; ctl.hotlight = ctl.parent.hotlight; ctl.focused = ctl.parent.focused) extprm(1)
F   = sz(a,a) xy(1,1) f(ctl.parent.font + "F") bp(ctl.text = ctl.parent.text; ctl.hotlight = ctl.parent.hotlight; ctl.focused = ctl.parent.focused) extprm(1)

;------------- ProductInfo --------------

[ProductInfo]
@       = $DlgAttrBase sz(300,a) alias(taskview) mg(0,0) at(dragable,a_close,nohelp) bg("ColorWindow")
Header  = [ProductInfo_Header]
Body    = [ProductInfo_Body]

[ProductInfo_Header]
@       = sz(p,63) at(chklike,clickable)
bg      = bg("RadarBg4") xy(-10,-5)
Team    = xy(,5) a(rt) bg("titleteam") visible(ctl.parent.selected) use(!$IsRD)
Anim    = bg("RadarAnimation") xy(-10,-5) bp(ctl.animate(ctl.parent.selected ? -1 : 0, 1, true))
Logo    = bg(s_ProductLogo(env("ProductType"))) xy(7) sz(a,a) a(lc)

[ProductInfo_Body]
@       = a(la) sz(p,275) xy(,,,$ButtonsLineSizeY)
About   = [ProductInfo_Body_About]
Credits = t(credits) sz(p,p) xy(,,,7) visible(ctl.Header.selected) use(!$IsRD)

[ProductInfo_Body_About]
@           = sz(p,p) mg(15,15) visible($IsRD || !ctl.Header.selected)
Product     = a(lt) sz(a,a) f("Normal_Bold")
ThreatDate  = [Value] xy(,10,,3) a(la) subst(Name() Val(text(datetime(AVService.BasesDate)))) use($IsKAT)
Copyright   = a(la) xy(,7) sz(a,a) f("Normal_Bold")
Warning     = a(la) xy(0,15) sz(p,a)
Warning2    = a(sa) xy(,7) sz(a,a)

[DialogInfoHeader]
@       = a(la) sz(p,a) bg("AlertInfo") ext(1)
Info    = a(la) sz(p,a) mg(17,17) extprm(1)
Buttom  = a(la) sz(p,4) bg("AlertInfoBottom")
Text    = sz(a,a) xy(17,4) extprm(1) a(lc) f("DialogInfoHeader")

[ProductHeader]
@       = sz(p,73) bg("MainWindowHeader") rs(,0) ext(1)
Logo    = bg(s_ProductLogo(env("ProductType"))) xy(7) sz(a,a) a(lc) extprm(1)
_rs     = sz(p,p) at(fixstyle) bg("MainWindowHeader_rs") xy(700) extprm(1)
Sep     = $StdFooterSeparator a(lb) extprm(1)

[RescueDiskHelp]
@       = $DlgAttrBase at(a_close,nohelp) sz(350,328) text($Help)
Text    = t(edit) at(multiline,readonly,vscroll) sz(p,p) xy(,,,$DialogPanelSizeY) text(const(filebody(env("RescueDiskHelpFile")))))

;------------- ProductInfo --------------

[NewsReaderTemplate]
@       = sz(p,p)
Header  = [ProductHeader] sz(p,53)
Body    = [NewsReaderTemplate_Body]

[NewsReaderTemplate_Body]
@   = a(la) sz(p,p) mg(3,0) xy(,,,$DialogPanelSizeY) 
d   = [NewsReader_Splitter]

[NewsReader_Splitter]
@       = t(splitter) sz(p,p) bg("MainWindowNavBg") v(20000)
List    = [News_List] 
Text    = [News_Text]

[News_List]
@       = t(list) at(noborder) sz(p,p) bg("ColorWindow") at(singlesel,noheader) v(News) alias(vector) onshow(ctl.focus(); hide_news_tray() ) onfocus(hide_product_news(Id))
Title   = sz(a,a) text(Title) i(s_ProductNewsIcon(Severity)) f(is_news_hidden(Id)? "Normal":"Normal_Bold")

[News_Text]
@ = t(html) at(noborder,nofocus) sz(p,p) alias(descriptor) dataowner(List) text(Text) onchange(msg("DeleteItemsConfirm", #m_yesno))

[NewsReaderDialog]
@   = $DlgAttrBase at(a_close,resizable,minimizable) mg(0,0) sz(600,550) bg("MainWindowNavBg") h(7137)
d   = [NewsReaderTemplate]

[MainWindow_Compact]
@       = sz(510,a) bg("MainWindowBg") use($IsKAT || $IsRD)
BgBottom    = a(lb) bg("MainWindowBgBottom")
Header  = [MainWindow_Header] use($IsKAT) sz(p,62) subst(Settings(use(0)) Banner(subst(Text(use(0)) Details(xy(110))) sz(300,36) bg(s_MainProtectionBannerBg(s_ProdStateSeverity(ProdStateId)))))
Header  = [MainWindow_Header] use($IsRD) subst(Banner(subst(Text(use(0)) Details(xy(110))) sz(300,36) bg(s_MainProtectionBannerBg(s_ProdStateSeverity(ProdStateId)))))
Body    = [MainWindow_Compact_Body]
Light   = sz(a,a) a(lp) xy(400,-32) alias(productstatus) prm(s_ProductStateList) bg(s_MainWindowProtectionLight(s_ProdStateSeverity(ProdStateId))) bp(ctl.hotlight = ctl.Banner.hotlight; ctl.focused = ctl.Banner.focused; f_MainLightBlink(s_ProdStateSeverity(ProdStateId))) at(clickable) onclick(window("MainThreats:Status"))
Footer  = [MainWindow_Footer]

[MainWindow_Compact_Body]
@       = a(la) xy(,0,,$DialogPanelSizeY) mg(10,10) sz(p,a) bg("ColorWindow")
Navigator   = [MainWindow_Compact_Tasks]

[MainWindow_Compact_Tasks]
@               = $Tab sz(p,407) mg(0,0) xy(0,13,0,0) at(xpstyle)
Scan_Objects    = [MainWindow.Scan_Objects] subst(Scan_Objects(subst(Group1(sz(p,152) subst(footer(use($IsRD)) rowedit(use($IsRD))))))) text($Scan_Objects) h($IsKAT ? 15754 : 0)
AVZ_Scan        = [AVZ_Scan] use($IsKAT) text($AVZ_Scan) h($IsKAT ? 15755 : 0)
Updater         = [MainWindow.Updater] subst(Home(subst(Group1(sz(p,152))))) text($Updater) use(f_isInstalled("Updater"))

[ParCtlSwitchProfile_Profiles]
@		= at(enum) v(ParCtl.ProfileId) onchanging(parctl_checkPassword(ctl.value)) onchange(savesettings())
Child 	= at(radiolike) v(#eParCtl_ProfId_Child)  text(s_ParCtlProfileName(#eParCtl_ProfId_Child))  visible(find(ParCtl.Profiles, "Id == #eParCtl_ProfId_Child").Enabled)
Teen 	= at(radiolike) v(#eParCtl_ProfId_Teen)   text(s_ParCtlProfileName(#eParCtl_ProfId_Teen))   visible(find(ParCtl.Profiles, "Id == #eParCtl_ProfId_Teen").Enabled)
Parent 	= at(radiolike) v(#eParCtl_ProfId_Parent) text(s_ParCtlProfileName(#eParCtl_ProfId_Parent)) visible(find(ParCtl.Profiles, "Id == #eParCtl_ProfId_Parent").Enabled)
